Post by KineticConsulting » Tue Jun 23, 2015 9:13 pm

I went through the whole upgrade process from Opencart 1.4.x to 1.5.x to 2.0.1 and after following all the instructions in the upgrade documentation, everything seems to be ok except for the fact that I can't modify order statuses or change customer orders in any way shape or form. when i go to edit an order, all of the modules are grayed out, and no matter what i click i get an error message saying

SyntaxError: JSON Parse error: Unrecognized token '<'
OK
<b>Notice</b>: Use of undefined constant HTTPS_CATALOG - assumed 'HTTPS_CATALOG' in <b>/home/content/96/7448396/html/admin/controller/sale/order.php</b> on line <b>2441</b>


Posts

Joined
Fri Jun 19, 2015 10:48 pm

Post by deepvision » Tue Jun 23, 2015 10:19 pm

Make sure that the /admin/config.php file has the following line

Code: Select all

define('HTTPS_CATALOG', 'https://<your domain>/');

ImageImageImage


User avatar
Active Member

Posts

Joined
Tue May 19, 2015 1:03 am

Post by KineticConsulting » Tue Jul 07, 2015 8:34 pm

the https was missing in the admin config, however that doesn't solve the problem.... I still get

SyntaxError: JSON Parse error: Unrecognized token '<'
OK
<b>Notice</b>: Undefined variable: json in <b>/home/content/96/7448396/html/admin/controller/sale/order.php</b> on line <b>2221</b>


Posts

Joined
Fri Jun 19, 2015 10:48 pm

Post by deepvision » Tue Jul 07, 2015 10:11 pm

I don't think it has been upgraded properly.

Make sure there is an API user here

Code: Select all

System -> Users -> API 
And it is also selected here:

Code: Select all

System -> Settings -> Your store -> Option -> API user 

ImageImageImage


User avatar
Active Member

Posts

Joined
Tue May 19, 2015 1:03 am

Post by Qphoria » Wed Jul 08, 2015 12:58 am

KineticConsulting wrote:the https was missing in the admin config, however that doesn't solve the problem.... I still get

SyntaxError: JSON Parse error: Unrecognized token '<'
OK
<b>Notice</b>: Undefined variable: json in <b>/home/content/96/7448396/html/admin/controller/sale/order.php</b> on line <b>2221</b>
There are 2 reasons this happens...
1. If you didn't add an API user like deepvision mentioned.
2. Your host disabled HTTP Loopback on your site and you need to use this work around:
http://forum.opencart.com/viewtopic.php?f=2&t=146714

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by KineticConsulting » Wed Jul 15, 2015 8:48 pm

ok i have verified there is an api user added and selected for my store, and also uploaded vqmod, and the loopback script, and I am still having the same problem. any further suggestions?


Posts

Joined
Fri Jun 19, 2015 10:48 pm

Post by deepvision » Wed Jul 15, 2015 9:42 pm

A lot of things might have gone wrong during upgrade.
No more errors in the error log? Especially right before the one you posted.

ImageImageImage


User avatar
Active Member

Posts

Joined
Tue May 19, 2015 1:03 am

Post by kevtheirish » Fri Jul 24, 2015 10:23 am

@deepvision

When I go to system>users>api
I dont see any users :P


ERROR LOG

2015-07-24 2:35:17 - PHP Notice: Undefined variable: json in /home/public_html/admin/controller/sale/order.php on line 2490
2015-07-24 2:35:29 - PHP Notice: Undefined variable: json in /home/public_html/admin/controller/sale/order.php on line 2490

Active Member

Posts

Joined
Mon Jan 16, 2012 2:58 am

Post by deepvision » Fri Jul 24, 2015 2:27 pm

@kevtheirish:

You should add an API user and choose it here: System -> Settings -> Your store -> Option -> API user

ImageImageImage


User avatar
Active Member

Posts

Joined
Tue May 19, 2015 1:03 am
Who is online

Users browsing this forum: No registered users and 42 guests